package com.ejie.ab04b.constantes;

/**
 * @author GFI-NORTE
 *
 */
public enum TipoDocumentoEnum {

	REQUERIMIENTO(1L), //
	CARTA_CONTRATISTA(10L), //
	CARTA_OS2(11L), //
	CARTA_OS3(12L), //
	CARTA_CAMBIO_COORDINADOR(13L), INFORME_VISITA_OSALAN(14L), //
	INFORME_INSPECCION(15L);

	/**
	 * Constructor privado.
	 * 
	 * idTipoDoc Long
	 *
	 * @param idTipoDoc
	 *            the id tipo doc
	 */
	private TipoDocumentoEnum(Long idTipoDoc) {
		this.idTipoDoc = idTipoDoc;
	}

	private Long idTipoDoc;

	/**
	 * Gets the id tipo doc.
	 * 
	 * Long
	 *
	 * @return the id tipo doc
	 */
	public Long getIdTipoDoc() {
		return this.idTipoDoc;
	}

}
